Skip to content

VPC

[BETA] Virtual Private Cloud (VPC) provides isolated virtual network environments for your Exoscale resources.

Read more

create-vpc

[BETA] Create a VPC

POST /vpc

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
namestringyesVPC name

Min length: 1. Max length: 255.
descriptionstringnoVPC description

Max length: 4096.
labelsobjectnoResource labels
Example
{
  "description": "string",
  "labels": {},
  "name": "string"
}

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for create-vpc: golang | Python | Java

CLI: exo api create-vpc

get-vpc

[BETA] Retrieve VPC details

GET /vpc/{id}

Path parameters

NameInDescription
idpathMust be a valid UUID.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
created-atstringVPC creation date

ISO 8601 date-time.
descriptionstringVPC description

Max length: 4096.
idstringVPC ID

Must be a valid UUID.
labelsobjectResource labels
namestringVPC name

Min length: 1. Max length: 255.
Example output
{
  "created-at": "2024-01-01T12:00:00Z",
  "description": "string",
  "id": "string",
  "labels": {},
  "name": "string"
}

SDK reference for get-vpc: golang | Python | Java

CLI: exo api get-vpc

update-vpc

[BETA] Update a VPC

PUT /vpc/{id}

Path parameters

NameInDescription
idpathMust be a valid UUID.

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
descriptionstringnoVPC description

Max length: 4096.
labelsobjectnoResource labels
namestringnoVPC name

Min length: 1. Max length: 255.
Example
{
  "description": "string",
  "labels": {},
  "name": "string"
}

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
created-atstringVPC creation date

ISO 8601 date-time.
descriptionstringVPC description

Max length: 4096.
idstringVPC ID

Must be a valid UUID.
labelsobjectResource labels
namestringVPC name

Min length: 1. Max length: 255.
Example output
{
  "created-at": "2024-01-01T12:00:00Z",
  "description": "string",
  "id": "string",
  "labels": {},
  "name": "string"
}

SDK reference for update-vpc: golang | Python | Java

CLI: exo api update-vpc

delete-vpc

[BETA] Delete a VPC

DELETE /vpc/{id}

Path parameters

NameInDescription
idpathMust be a valid UUID.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for delete-vpc: golang | Python | Java

CLI: exo api delete-vpc


Other Operations

list-vpcs

[BETA] List VPCs

GET /vpc

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
vpcsarray of VPC
Example output
{
  "vpcs": [
    {
      "created-at": "2024-01-01T12:00:00Z",
      "description": "string",
      "id": "string",
      "labels": {},
      "name": "string"
    }
  ]
}

SDK reference for list-vpcs: golang | Python | Java

CLI: exo api list-vpcs

Last updated on